OGRE: Ogre::PageManager::EventRouter Class Reference - OGRE Documentation

Public Member Functions | Public Attributes

# Ogre::PageManager::EventRouter Class Reference

`#include <OgrePageManager.h>`

Inheritance diagram for Ogre::PageManager::EventRouter:
[legend]

List of all members.

## Public Member Functions
| EventRouter ()
| ~EventRouter ()
void | cameraPreRenderScene (Camera *cam)
void | cameraDestroyed (Camera *cam)
bool | frameStarted (const FrameEvent &evt)
| Called when a frame is about to begin rendering.
bool | frameEnded (const FrameEvent &evt)
| Called just after a frame has been rendered.
virtual void | cameraPreRenderScene (Camera *cam)
| Called prior to the scene being rendered with this camera.
virtual void | cameraPostRenderScene (Camera *cam)
| Called after the scene has been rendered with this camera.
virtual void | cameraDestroyed (Camera *cam)
| Called when the camera is being destroyed.
virtual bool | frameRenderingQueued (const FrameEvent &evt)
| Called after all render targets have had their rendering commands issued, but before render windows have been asked to flip their buffers over.
## Public Attributes
PageManager * | pManager
WorldMap * | pWorldMap
CameraList * | pCameraList

## Detailed Description

Definition at line 440 of file OgrePageManager.h.

## Constructor & Destructor Documentation

Ogre::PageManager::EventRouter::EventRouter | ( |  | ) |

Definition at line 447 of file OgrePageManager.h.

Ogre::PageManager::EventRouter::~EventRouter | ( |  | ) |

Definition at line 448 of file OgrePageManager.h.

## Member Function Documentation

void Ogre::PageManager::EventRouter::cameraDestroyed | ( | Camera * | cam | ) |

virtual void Ogre::Camera::Listener::cameraDestroyed | ( | Camera * | cam | ) | `[virtual, inherited]`

Called when the camera is being destroyed.

Definition at line 105 of file OgreCamera.h.

virtual void Ogre::Camera::Listener::cameraPostRenderScene | ( | Camera * | cam | ) | `[virtual, inherited]`

Called after the scene has been rendered with this camera.

Definition at line 101 of file OgreCamera.h.

void Ogre::PageManager::EventRouter::cameraPreRenderScene | ( | Camera * | cam | ) |

virtual void Ogre::Camera::Listener::cameraPreRenderScene | ( | Camera * | cam | ) | `[virtual, inherited]`

Called prior to the scene being rendered with this camera.

Definition at line 97 of file OgreCamera.h.

bool Ogre::PageManager::EventRouter::frameEnded | ( | const FrameEvent & | evt | ) | `[virtual]`

Called just after a frame has been rendered.

Remarks:
  This event happens after all render targets have been fully updated and the buffers switched.

Returns:
  True to continue with the next frame, false to drop out of the rendering loop.

Reimplemented from Ogre::FrameListener.

virtual bool Ogre::FrameListener::frameRenderingQueued | ( | const FrameEvent & | evt | ) | `[virtual, inherited]`

Called after all render targets have had their rendering commands issued, but before render windows have been asked to flip their buffers over.

Remarks:
  The usefulness of this event comes from the fact that rendering commands are queued for the GPU to process. These can take a little while to finish, and so while that is happening the CPU can be doing useful things. Once the request to 'flip buffers' happens, the thread requesting it will block until the GPU is ready, which can waste CPU cycles. Therefore, it is often a good idea to use this callback to perform per-frame processing. Of course because the frame's rendering commands have already been issued, any changes you make will only take effect from the next frame, but in most cases that's not noticeable.

Returns:
  True to continue rendering, false to drop out of the rendering loop.

Definition at line 119 of file OgreFrameListener.h.

bool Ogre::PageManager::EventRouter::frameStarted | ( | const FrameEvent & | evt | ) | `[virtual]`

Called when a frame is about to begin rendering.

Remarks:
  This event happens before any render targets have begun updating.

Returns:
  True to go ahead, false to abort rendering and drop out of the rendering loop.

Reimplemented from Ogre::FrameListener.

## Member Data Documentation

CameraList* Ogre::PageManager::EventRouter::pCameraList

Definition at line 445 of file OgrePageManager.h.

PageManager* Ogre::PageManager::EventRouter::pManager

Definition at line 443 of file OgrePageManager.h.

WorldMap* Ogre::PageManager::EventRouter::pWorldMap

Definition at line 444 of file OgrePageManager.h.

The documentation for this class was generated from the following file:

- OgrePageManager.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:04